Download file (async)
curl --request POST \
--url https://cloud.memsource.com/web/api2/v2/connectors/{connectorId}/folders/{folder}/files/{file} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUrl": "{\"callbackUrl\": \"https://www.yourdomain.com/callback_endpoint\"}",
"sourceLang": "<string>",
"targetLang": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/connectors/{connectorId}/folders/{folder}/files/{file}"
payload = {
"callbackUrl": "{\"callbackUrl\": \"https://www.yourdomain.com/callback_endpoint\"}",
"sourceLang": "<string>",
"targetLang": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callbackUrl: '{"callbackUrl": "https://www.yourdomain.com/callback_endpoint"}',
sourceLang: '<string>',
targetLang: '<string>'
})
};
fetch('https://cloud.memsource.com/web/api2/v2/connectors/{connectorId}/folders/{folder}/files/{file}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"id": "<string>"
}Connector
Download file (async)
Create an asynchronous request to download a file from a (sub)folder of the selected connector. After a callback with successful response is received, prepared file can be downloaded by Download prepared file or Create job from connector asynchronous download task.
POST
/
api2
/
v2
/
connectors
/
{connectorId}
/
folders
/
{folder}
/
files
/
{file}
Download file (async)
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Internal numeric ID of the connector
Hex-encoded remote folder path
Hex-encoded remote file name
Body
application/json
Response
OK
Type of the async file operation, e.g. API_DOWNLOAD or API_UPLOAD
Available options:
GUI_UPLOAD, GUI_DOWNLOAD, GUI_REIMPORT, GUI_REIMPORT_TARGET, CJ_UPLOAD, CJ_DOWNLOAD, APC_UPLOAD, APC_DOWNLOAD, API_UPLOAD, API_DOWNLOAD, SUBMITTER_PORTAL_DOWNLOAD Show child attributes
Show child attributes
Timestamp when the async task was created
Name of the file
Internal numeric ID of the async task, encoded as a string
Was this page helpful?
⌘I